import request from '@/utils/request'

// 查询资讯信息管理列表
export function listInformationInfo(query) {
    return request({
        url: '/system/informationInfo/list',
        method: 'get',
        params: query
    })
}

// 查询资讯信息管理详细
export function getInformationInfo(id) {
    return request({
        url: '/system/informationInfo/' + id,
        method: 'get'
    })
}

// 新增资讯信息管理
export function addInformationInfo(data) {
    return request({
        url: '/system/informationInfo/add',
        method: 'post',
        data: data
    })
}

// 修改资讯信息管理
export function updateInformationInfo(data) {
    return request({
        url: '/system/informationInfo/edit',
        method: 'post',
        data: data
    })
}
// 查询资讯分类列表
export function listInformationCategory(query) {
    return request({
        url: '/system/InformationCategory/list',
        method: 'get',
        params: query
    })
}

// 删除资讯信息管理
export function delInformationInfo(id) {
    return request({
        url: '/system/informationInfo/' + id,
        method: 'delete'
    })
}
